Search the Community
Showing results for tags 'visuallisp'.
-
hello i want help for creating lisp for me please ... the lisp will do these functions 1- as the attached image (1a) if i have block with yellow at right and some green blocks 2- i want when i launch the lisp to ask me to draw poly line that i want as in image 2a 3- after that when i draw this path with polyline and press enter the lisp ask me to choose blocks that i want to connect to this polyline and i will choose one by one or multiple blocks then after choosing the blocks and press enter ... the lisp will offset the main polyline that i draw and connect every polyline with the basepoint of the blocks that i choose sequentially as appear in this image 5a (attached DWG) can anyone help me please sample.dwg
- 10 replies
-
- 1
-
- visual lisp
- visuallisp
-
(and 3 more)
Tagged with:
-
publish layouts with specific name with a lisp
Manuel_Kunde posted a topic in AutoLISP, Visual LISP & DCL
Hello all. I need a lisp that will merge all layouts, that start with a certain name, into one PDF file. I have already made some progress with this Lisp. With the dwgprops I get information about the current file path, which I then merge all with the stract command. This also works, only the command "-Export" "ak" can only print one sheet. The number of layouts that start with "Plan..." are always different. Does anyone have an idea which command works instead for publish all Layouts, that beginns with the same name? The -publish command always asks me for a dsd file. (defun c:Documentsheets ( / pdfName ) (vl-load-com) ;--------- get variabel für contact - number: (setq acadObject (vlax-get-acad-object)) (setq acadDocument (vla-get-ActiveDocument acadObject)) (setq dProps (vlax-get-Property acadDocument 'SummaryInfo)) (vla-getCustomByIndex dProps 4 'myValue1 'myValue2) (setq contact myValue2) (princ) ;--------- get variable for order - number: (setq acadObject (vlax-get-acad-object)) (setq acadDocument (vla-get-ActiveDocument acadObject)) (setq dProps (vlax-get-Property acadDocument 'SummaryInfo)) (vla-getCustomByIndex dProps 5 'myValue1 'myValue2) (setq order myValue2) (princ) ;-------- (setq Pathone "\\\\company.lan\\xyz\\erp\\land\\contact\\") (setq Pathtwo "\\order\\") (setq Paththree "\\folder\\") ;-------- (command "_Qsafe") (foreach layname (vl-remove-if-not '(lambda (ln) (vl-some '(lambda (n) (wcmatch ln n) ) '("Plan*") ) ) (layoutlist) ) (setvar "ctab" layname) (setq pdfName (strcat Pathone Contact Pathtwo Order Paththree (strcat order "_Drawing") ) ) ) (if (findfile pdfName) (command "-EXPORT" "PDF" "Ak" "N" pdfName "J") (command "-EXPORT" "PDF" "Ak" "N" pdfName) ) )-
- autolisp
- visuallisp
-
(and 3 more)
Tagged with:
-
Gather information in one drawing and create the table in a seperate drawing
mwohlford posted a topic in AutoLISP, Visual LISP & DCL
I wrote a lisp program that creates an equipment list from part numbers in selected blocks and a csv file with information about those part numbers. It allows the user to then select a layout followed by an insertion point, then creates the table a populates it with the list. On a small project were 4 or 5 sheets are all that is needed the sheets are in the same drawing file and this works great. However, on larger projects the sheet that the equipment list needs to go on is not in the same drawing file. Is there a way to select a layout in another file for the table to be created and inserted on? I know I could save the list to a global variable, open the drawing with the sheet to insert on and create the table from there. I would like to not have to ask the user to go through the extra steps. Is it possible to maybe use getfiled to open a drawing to the specified sheet then create the table? Any guidance would be helpful whether with getfiled or some other method that I could work into my code.